# Ipopt::Ma28TDependencyDetector Class Reference

Base class for all derived algorithms for detecting linearly dependent rows in the constraint Jacobian. More...

`#include <IpMa28TDependencyDetector.hpp>`

Inheritance diagram for Ipopt::Ma28TDependencyDetector:
[legend]

List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Has to be called to initialize and reset these objects.
virtual bool | DetermineDependentRows (Index n_rows, Index n_cols, Index n_jac_nz, Number *jac_c_vals, Index *jac_c_iRow, Index *jac_c_jCol, std::list< Index > &c_deps)
| Method determining the number of linearly dependent rows in the matrix and the indices of those rows.
Constructor/Destructor
| Ma28TDependencyDetector ()
virtual | ~Ma28TDependencyDetector ()
## Static Public Member Functions
static void | RegisterOptions (SmartPtr< RegisteredOptions > roptions)
| This must be called to make the options for this class known.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| Ma28TDependencyDetector (const Ma28TDependencyDetector &)
| Copy Constructor.
void | operator= (const Ma28TDependencyDetector &)
| Overloaded Equals Operator.
## Private Attributes
SmartPtr< const Journalist > | jnlst_
Algorithmic parameters
Number | ma28_pivtol_
| Pivot tolerance for MA28.

## Detailed Description

Base class for all derived algorithms for detecting linearly dependent rows in the constraint Jacobian.

Definition at line 19 of file IpMa28TDependencyDetector.hpp.

## Constructor & Destructor Documentation

Ipopt::Ma28TDependencyDetector::Ma28TDependencyDetector | ( |  | ) |

virtual Ipopt::Ma28TDependencyDetector::~Ma28TDependencyDetector | ( |  | ) | `[inline, virtual]`

Definition at line 26 of file IpMa28TDependencyDetector.hpp.

Ipopt::Ma28TDependencyDetector::Ma28TDependencyDetector | ( | const Ma28TDependencyDetector & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::Ma28TDependencyDetector::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

Has to be called to initialize and reset these objects.

Implements Ipopt::TDependencyDetector.

virtual bool Ipopt::Ma28TDependencyDetector::DetermineDependentRows | ( | Index | n_rows,
|  | Index | n_cols,
|  | Index | n_jac_nz,
|  | Number * | jac_c_vals,
|  | Index * | jac_c_iRow,
|  | Index * | jac_c_jCol,
|  | std::list< Index > & | c_deps |
| ) |  |  | `[virtual]`

Method determining the number of linearly dependent rows in the matrix and the indices of those rows.

We assume that the matrix is available in "Triplet" format (MA28 format), and that the arrays given to this method can be modified internally, i.e., they are not used by the calling program anymore after this call. This method returns false if there was a problem with the underlying linear solver.

Implements Ipopt::TDependencyDetector.

static void Ipopt::Ma28TDependencyDetector::RegisterOptions | ( | SmartPtr< RegisteredOptions > | roptions | ) | `[static]`

This must be called to make the options for this class known.

void Ipopt::Ma28TDependencyDetector::operator= | ( | const Ma28TDependencyDetector & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::TDependencyDetector.

## Member Data Documentation

SmartPtr<const Journalist> Ipopt::Ma28TDependencyDetector::jnlst_`[private]`

Reimplemented from Ipopt::AlgorithmStrategyObject.

Definition at line 69 of file IpMa28TDependencyDetector.hpp.

Number Ipopt::Ma28TDependencyDetector::ma28_pivtol_`[private]`

Pivot tolerance for MA28.

Definition at line 74 of file IpMa28TDependencyDetector.hpp.

The documentation for this class was generated from the following file:

- src/Algorithm/LinearSolvers/IpMa28TDependencyDetector.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines